--- old/usr/src/common/crypto/arcfour/arcfour_crypt.c	Thu Jul 11 01:29:02 2013
+++ new/usr/src/common/crypto/arcfour/arcfour_crypt.c	Thu Jul 11 01:29:02 2013
@@ -58,8 +58,6 @@
 void
 arcfour_key_init(ARCFour_key *key, uchar_t *keyval, int keyvallen)
 {
-/* EXPORT DELETE START */
-
 	uchar_t ext_keyval[256];
 	uchar_t tmp;
 	int i, j;
@@ -83,8 +81,6 @@
 	}
 	key->i = 0;
 	key->j = 0;
-
-/* EXPORT DELETE END */
 }
 #endif	/* !__amd64 */
 
@@ -106,7 +102,6 @@
 void
 arcfour_crypt(ARCFour_key *key, uchar_t *in, uchar_t *out, size_t len)
 {
-/* EXPORT DELETE START */
 #ifdef	__amd64
 	if (key->flag == ARCFOUR_ON_AMD64) {
 		arcfour_crypt_asm(key, in, out, len);
@@ -227,8 +222,6 @@
 #ifdef	__amd64
 	}
 #endif	/* amd64 */
-
-/* EXPORT DELETE END */
 }
 
 
--- old/usr/src/common/crypto/arcfour/sun4u/arcfour_crypt_asm.s	Thu Jul 11 01:29:03 2013
+++ new/usr/src/common/crypto/arcfour/sun4u/arcfour_crypt_asm.s	Thu Jul 11 01:29:03 2013
@@ -59,8 +59,6 @@
 
 
 arcfour_crypt_aligned:
-
-/* EXPORT DELETE START */
 	save	%sp,-144,%sp
 
 	srl	%i1, 3, %l7
@@ -518,7 +516,6 @@
 	ba	.L8B
 	and	%g2, 255, %g2
 
-/* EXPORT DELETE END */
 	.type	arcfour_crypt_aligned,2
 	.size	arcfour_crypt_aligned,(. - arcfour_crypt_aligned)
 
--- old/usr/src/common/crypto/arcfour/sun4v/arcfour_crypt.c	Thu Jul 11 01:29:04 2013
+++ new/usr/src/common/crypto/arcfour/sun4v/arcfour_crypt.c	Thu Jul 11 01:29:04 2013
@@ -29,8 +29,6 @@
 void
 arcfour_key_init(ARCFour_key *key, uchar_t *keyval, int keyvallen)
 {
-/* EXPORT DELETE START */
-
 	uchar_t ext_keyval[256];
 	uchar_t tmp;
 	int i, j;
@@ -53,8 +51,6 @@
 	}
 	key->i = 0;
 	key->j = 0;
-
-/* EXPORT DELETE END */
 }
 
 
@@ -70,8 +66,6 @@
 	uchar_t i, j, *base, jj, *base1, tmp;
 	unsigned int tmp0, tmp1, i_accum, shift = 0, i1;
 
-
-/* EXPORT DELETE START */
 	int index;
 
 	base = key->arr;
@@ -599,6 +593,4 @@
 		key->j = j;
 	}
 #endif /* sun4v */
-
-/* EXPORT DELETE END */
 }
--- old/usr/src/common/crypto/blowfish/Makefile	Thu Jul 11 01:29:04 2013
+++ new/usr/src/common/crypto/blowfish/Makefile	Thu Jul 11 01:29:04 2013
@@ -31,20 +31,3 @@
 .KEEP_STATE:
 
 FRC:
-
-# EXPORT DELETE START
-EXPORT_SRC:
-	$(RM) Makefile+ blowfish_impl.c+ blowfish_impl.h+
-	sed -e "/EXPORT DELETE START/,/EXPORT DELETE END/d" \
-		< blowfish_impl.c > blowfish_impl.c+
-	$(MV) blowfish_impl.c+ blowfish_impl.c
-	sed -e "/EXPORT DELETE START/,/EXPORT DELETE END/d" \
-		< blowfish_impl.h > blowfish_impl.h+
-	$(MV) blowfish_impl.h+ blowfish_impl.h
-	sed -e "/^# EXPORT DELETE START/,/^# EXPORT DELETE END/d" \
-		< Makefile > Makefile+
-	$(RM) Makefile
-	$(MV) Makefile+ Makefile 
-	$(CHMOD) 444 Makefile blowfish_impl.c blowfish_impl.h
-
-# EXPORT DELETE END
--- old/usr/src/common/crypto/blowfish/blowfish_impl.c	Thu Jul 11 01:29:05 2013
+++ new/usr/src/common/crypto/blowfish/blowfish_impl.c	Thu Jul 11 01:29:05 2013
@@ -55,8 +55,6 @@
 #define	UNALIGNED_POINTERS_PERMITTED
 #endif
 
-/* EXPORT DELETE START */
-
 /*
  * Blowfish initial P box and S boxes, derived from the hex digits of PI.
  *
@@ -367,8 +365,6 @@
 	(left) = (right); \
 	(right) = tmp;
 
-/* EXPORT DELETE END */
-
 /*
  * Encrypt a block of data.  Because of addition operations, convert blocks
  * to their big-endian representation, even on Intel boxen.
@@ -378,7 +374,6 @@
 blowfish_encrypt_block(const void *cookie, const uint8_t *block,
     uint8_t *out_block)
 {
-/* EXPORT DELETE START */
 	keysched_t *ksch = (keysched_t *)cookie;
 
 	uint32_t left, right, tmp;
@@ -460,7 +455,6 @@
 		out_block[7] = right;
 #endif	/* UNALIGNED_POINTERS_PERMITTED */
 	}
-/* EXPORT DELETE END */
 	return (CRYPTO_SUCCESS);
 }
 
@@ -475,7 +469,6 @@
 blowfish_decrypt_block(const void *cookie, const uint8_t *block,
     uint8_t *out_block)
 {
-/* EXPORT DELETE START */
 	keysched_t *ksch = (keysched_t *)cookie;
 
 	uint32_t left, right, tmp;
@@ -557,7 +550,6 @@
 		out_block[7] = right;
 #endif	/* UNALIGNED_POINTERS_PERMITTED */
 	}
-/* EXPORT DELETE END */
 	return (CRYPTO_SUCCESS);
 }
 
@@ -565,7 +557,6 @@
 bitrepeat(uint8_t *pattern, uint_t len_bytes, uint_t len_bits, uint8_t *dst,
     uint_t dst_len_bytes)
 {
-/* EXPORT DELETE START */
 	uint8_t *current = dst;
 	uint_t bitsleft = CRYPTO_BYTES2BITS(dst_len_bytes);
 	uint_t bitoffset = 0;
@@ -617,7 +608,6 @@
 			bitsleft = 0;
 		}
 	}
-/* EXPORT DELETE END */
 }
 
 /*
@@ -626,7 +616,6 @@
 void
 blowfish_init_keysched(uint8_t *key, uint_t bits, void *keysched)
 {
-/* EXPORT DELETE START */
 	keysched_t *newbie = keysched;
 	uint32_t *P = newbie->ksch_P;
 	uint32_t *S = newbie->ksch_S;
@@ -685,7 +674,6 @@
 		*initp++ = ntohl(tmpblock[0]);
 		*initp++ = ntohl(tmpblock[1]);
 	}
-/* EXPORT DELETE END */
 }
 
 /*
@@ -695,7 +683,6 @@
 void *
 blowfish_alloc_keysched(size_t *size, int kmflag)
 {
-/* EXPORT DELETE START */
 	keysched_t *keysched;
 
 #ifdef _KERNEL
@@ -707,7 +694,6 @@
 		*size = sizeof (keysched_t);
 		return (keysched);
 	}
-/* EXPORT DELETE END */
 
 	return (NULL);
 }
--- old/usr/src/common/crypto/des/Makefile	Thu Jul 11 01:29:06 2013
+++ new/usr/src/common/crypto/des/Makefile	Thu Jul 11 01:29:06 2013
@@ -32,23 +32,3 @@
 .KEEP_STATE:
 
 FRC:
-
-# EXPORT DELETE START
-EXPORT_SRC:
-	$(RM) Makefile+ des_impl.c+ des_impl.h+ des_ks.c+ sun4u/des_crypt_asm.s+
-	sed -e "/EXPORT DELETE START/,/EXPORT DELETE END/d" \
-		< des_impl.c > des_impl.c+
-	$(MV) des_impl.c+ des_impl.c
-	sed -e "/EXPORT DELETE START/,/EXPORT DELETE END/d" \
-		< des_ks.c > des_ks.c+
-	$(MV) des_ks.c+ des_ks.c
-	sed -e "/EXPORT DELETE START/,/EXPORT DELETE END/d" \
-		< sun4u/des_crypt_asm.s > sun4u/des_crypt_asm.s+
-	$(MV) sun4u/des_crypt_asm.s+ sun4u/des_crypt_asm.s
-	sed -e "/^# EXPORT DELETE START/,/^# EXPORT DELETE END/d" \
-		< Makefile > Makefile+
-	$(RM) Makefile
-	$(MV) Makefile+ Makefile 
-	$(CHMOD) 444 Makefile des_impl.c des_impl.h des_ks.c sun4u/des_crypt_asm.s
-
-# EXPORT DELETE END
--- old/usr/src/common/crypto/des/des_impl.c	Thu Jul 11 01:29:06 2013
+++ new/usr/src/common/crypto/des/des_impl.c	Thu Jul 11 01:29:06 2013
@@ -42,8 +42,6 @@
 #define	UNALIGNED_POINTERS_PERMITTED
 #endif
 
-/* EXPORT DELETE START */
-
 typedef struct keysched_s {
 	uint64_t ksch_encrypt[16];
 	uint64_t ksch_decrypt[16];
@@ -501,13 +499,10 @@
 }
 #endif /* !sun4u */
 
-/* EXPORT DELETE END */
-
 int
 des3_crunch_block(const void *cookie, const uint8_t block[DES_BLOCK_LEN],
     uint8_t out_block[DES_BLOCK_LEN], boolean_t decrypt)
 {
-/* EXPORT DELETE START */
 	keysched3_t *ksch = (keysched3_t *)cookie;
 
 	/*
@@ -560,7 +555,6 @@
 		out_block[7] = (uint8_t)tmp;
 #endif	/* UNALIGNED_POINTERS_PERMITTED */
 	}
-/* EXPORT DELETE END */
 	return (CRYPTO_SUCCESS);
 }
 
@@ -568,7 +562,6 @@
 des_crunch_block(const void *cookie, const uint8_t block[DES_BLOCK_LEN],
     uint8_t out_block[DES_BLOCK_LEN], boolean_t decrypt)
 {
-/* EXPORT DELETE START */
 	keysched_t *ksch = (keysched_t *)cookie;
 
 	/*
@@ -623,7 +616,6 @@
 		out_block[7] = (uint8_t)tmp;
 #endif	/* UNALIGNED_POINTERS_PERMITTED */
 	}
-/* EXPORT DELETE END */
 	return (CRYPTO_SUCCESS);
 }
 
@@ -630,7 +622,6 @@
 static boolean_t
 keycheck(uint8_t *key, uint8_t *corrected_key)
 {
-/* EXPORT DELETE START */
 	uint64_t key_so_far;
 	uint_t i;
 	/*
@@ -716,7 +707,6 @@
 		corrected_key[7] = (uint8_t)key_so_far;
 #endif	/* UNALIGNED_POINTERS_PERMITTED */
 	}
-/* EXPORT DELETE END */
 	return (B_TRUE);
 }
 
@@ -723,7 +713,6 @@
 static boolean_t
 des23_keycheck(uint8_t *key, uint8_t *corrected_key, boolean_t des3)
 {
-/* EXPORT DELETE START */
 	uint64_t aligned_key[DES3_KEYSIZE / sizeof (uint64_t)];
 	uint64_t key_so_far, scratch, *currentkey;
 	uint_t j, num_weakkeys = 0;
@@ -781,7 +770,6 @@
 		bcopy(currentkey, corrected_key, keysize);
 	}
 
-/* EXPORT DELETE END */
 	return (B_TRUE);
 }
 
@@ -802,7 +790,6 @@
 void
 des_parity_fix(uint8_t *key, des_strength_t strength, uint8_t *corrected_key)
 {
-/* EXPORT DELETE START */
 	uint64_t aligned_key[DES3_KEYSIZE / sizeof (uint64_t)];
 	uint8_t *paritied_key;
 	uint64_t key_so_far;
@@ -848,7 +835,6 @@
 	}
 
 	bcopy(paritied_key, corrected_key, DES_KEYSIZE * strength);
-/* EXPORT DELETE END */
 }
 
 
@@ -858,7 +844,6 @@
 void
 des_init_keysched(uint8_t *cipherKey, des_strength_t strength, void *ks)
 {
-/* EXPORT DELETE START */
 	uint64_t *encryption_ks;
 	uint64_t *decryption_ks;
 	uint64_t keysched[48];
@@ -947,7 +932,6 @@
 
 	/* save the decryption keyschedule */
 	bcopy(keysched, decryption_ks, keysize * 16);
-/* EXPORT DELETE END */
 }
 
 /*
@@ -959,8 +943,6 @@
 {
 	void *keysched;
 
-/* EXPORT DELETE START */
-
 	size_t size;
 
 	switch (strength) {
@@ -984,8 +966,6 @@
 	if (keysched_size != NULL)
 		*keysched_size = size;
 
-/* EXPORT DELETE END */
-
 	return (keysched);
 }
 
@@ -997,7 +977,6 @@
 static void
 fix_des_parity(uint64_t *keyp)
 {
-/* EXPORT DELETE START */
 	uint64_t k = *keyp;
 	k ^= k >> 1;
 	k ^= k >> 2;
@@ -1004,7 +983,6 @@
 	k ^= k >> 4;
 	*keyp ^= (k & 0x0101010101010101ULL);
 	*keyp ^= 0x0101010101010101ULL;
-/* EXPORT DELETE END */
 }
 
 void
--- old/usr/src/common/crypto/des/des_ks.c	Thu Jul 11 01:29:07 2013
+++ new/usr/src/common/crypto/des/des_ks.c	Thu Jul 11 01:29:07 2013
@@ -28,8 +28,6 @@
 
 #pragma ident	"%Z%%M%	%I%	%E% SMI"
 
-/* EXPORT DELETE START */
-
 static uint64_t pc1_table[2][128]=
 {
 /* BEGIN CSTYLED */
@@ -290,5 +288,3 @@
 		ks[i] = ((uint64_t)upper)<<32 | ((uint64_t)lower);
 	}
 }
-
-/* EXPORT DELETE END */
--- old/usr/src/common/crypto/rsa/Makefile	Thu Jul 11 01:29:08 2013
+++ new/usr/src/common/crypto/rsa/Makefile	Thu Jul 11 01:29:08 2013
@@ -32,16 +32,3 @@
 .KEEP_STATE:
 
 FRC:
-
-# EXPORT DELETE START
-EXPORT_SRC:
-	$(RM) Makefile+ rsa_impl.c+
-	sed -e "/EXPORT DELETE START/,/EXPORT DELETE END/d" \
-		< rsa_impl.c > rsa_impl.c+
-	$(MV) rsa_impl.c+ rsa_impl.c
-	sed -e "/^# EXPORT DELETE START/,/^# EXPORT DELETE END/d" \
-		< Makefile > Makefile+
-	$(RM) Makefile
-	$(MV) Makefile+ Makefile 
-	$(CHMOD) 444 Makefile rsa_impl.c
-# EXPORT DELETE END
--- old/usr/src/common/crypto/rsa/rsa_impl.c	Thu Jul 11 01:29:09 2013
+++ new/usr/src/common/crypto/rsa/rsa_impl.c	Thu Jul 11 01:29:09 2013
@@ -109,8 +109,6 @@
 {
 	BIG_ERR_CODE err = BIG_OK;
 
-/* EXPORT DELETE START */
-
 	int plen, qlen, nlen;
 
 	plen = BITLEN2BIGNUMLEN(psize);
@@ -163,8 +161,6 @@
 ret1:
 	big_finish(&(key->p));
 
-/* EXPORT DELETE END */
-
 	return (err);
 }
 
@@ -171,9 +167,6 @@
 static void
 RSA_key_finish(RSAkey *key)
 {
-
-/* EXPORT DELETE START */
-
 	big_finish(&(key->n_rr));
 	big_finish(&(key->q_rr));
 	big_finish(&(key->p_rr));
@@ -185,9 +178,6 @@
 	big_finish(&(key->n));
 	big_finish(&(key->q));
 	big_finish(&(key->p));
-
-/* EXPORT DELETE END */
-
 }
 
 /*
@@ -199,8 +189,6 @@
 {
 	CK_RV		rv = CKR_OK;
 
-/* EXPORT DELETE START */
-
 	int		(*rf)(void *, size_t);
 	BIGNUM		a, b, c, d, e, f, g, h;
 	int		len, keylen, size;
@@ -379,8 +367,6 @@
 	big_finish(&b);
 	big_finish(&a);
 
-/* EXPORT DELETE END */
-
 	return (rv);
 }
 
@@ -412,8 +398,6 @@
 	 */
 	CK_RV	rv = CKR_OK;
 
-/* EXPORT DELETE START */
-
 	BIGNUM	public_exponent = {0};
 	RSAkey	rsakey;
 	uint32_t modulus_bytes;
@@ -495,8 +479,6 @@
 clean1:
 	RSA_key_finish(&rsakey);
 
-/* EXPORT DELETE END */
-
 	return (rv);
 }
 
@@ -508,8 +490,6 @@
 {
 	CK_RV rv = CKR_OK;
 
-/* EXPORT DELETE START */
-
 	BIGNUM msg;
 	RSAkey rsakey;
 	uint32_t modulus_bytes;
@@ -566,8 +546,6 @@
 clean2:
 	RSA_key_finish(&rsakey);
 
-/* EXPORT DELETE END */
-
 	return (rv);
 }
 
@@ -579,8 +557,6 @@
 {
 	CK_RV rv = CKR_OK;
 
-/* EXPORT DELETE START */
-
 	BIGNUM msg;
 	RSAkey rsakey;
 	uint32_t modulus_bytes;
@@ -655,7 +631,5 @@
 clean3:
 	RSA_key_finish(&rsakey);
 
-/* EXPORT DELETE END */
-
 	return (rv);
 }
--- old/usr/src/common/net/wanboot/crypt/aes.c	Thu Jul 11 01:29:10 2013
+++ new/usr/src/common/net/wanboot/crypt/aes.c	Thu Jul 11 01:29:10 2013
@@ -51,7 +51,6 @@
 #define	PUTU32(ct, st)  *((uint32_t *)(ct)) = BSWAP_L(st)
 
 
-/* EXPORT DELETE START */
 /*
  * Te0[x] = S [x].[02, 01, 01, 03];
  * Te1[x] = S [x].[03, 02, 01, 01];
@@ -739,10 +738,7 @@
 	uint32_t rk_e[60]; /* max round key size */
 	uint32_t rk_d[60]; /* max round key size */
 } keysched_t;
-/* EXPORT DELETE END */
 
-/* EXPORT DELETE START */
-
 int
 aes_init(void **cookie)
 {
@@ -1404,5 +1400,3 @@
 			Td3[Te4[(rk_d[3]) & 0xff] & 0xff];
 	}
 }
-
-/* EXPORT DELETE END */
--- old/usr/src/lib/crypt_modules/bsdbf/Makefile	Thu Jul 11 01:29:10 2013
+++ new/usr/src/lib/crypt_modules/bsdbf/Makefile	Thu Jul 11 01:29:10 2013
@@ -50,17 +50,3 @@
 	@cd $@; pwd; $(MAKE) $(TARGET)
 
 FRC:
-
-# EXPORT DELETE START
-CRYPT_SRC: EXPORT_SRC
-EXPORT_SRC: 
-	$(RM) Makefile+ blowfish.c+
-	sed -e "/CRYPT DELETE START/,/CRYPT DELETE END/d" \
-		< blowfish.c > blowfish.c+
-	$(MV) blowfish.c+ blowfish.c
-	sed -e "/^# EXPORT DELETE START/,/^# EXPORT DELETE END/d" \
-		< Makefile > Makefile+
-	$(MV) Makefile+ Makefile
-	$(CHMOD) 444 Makefile blowfish.c
-
-# EXPORT DELETE END
--- old/usr/src/lib/crypt_modules/bsdbf/blowfish.c	Thu Jul 11 01:29:11 2013
+++ new/usr/src/lib/crypt_modules/bsdbf/blowfish.c	Thu Jul 11 01:29:11 2013
@@ -82,7 +82,6 @@
 	uint32_t *xl;
 	uint32_t *xr;
 {
-/* CRYPT DELETE START */
 	uint32_t Xl;
 	uint32_t Xr;
 	uint32_t *s = c->S[0];
@@ -103,7 +102,6 @@
 
 	*xl = Xr ^ p[17];
 	*xr = Xl;
-/* CRYPT DELETE END */
 }
 
 void
@@ -112,7 +110,6 @@
 	uint32_t *xl;
 	uint32_t *xr;
 {
-/* CRYPT DELETE START */
 	uint32_t Xl;
 	uint32_t Xr;
 	uint32_t *s = c->S[0];
@@ -133,7 +130,6 @@
 
 	*xl = Xr ^ p[0];
 	*xr = Xl;
-/* CRYPT DELETE END */
 }
 
 void
@@ -140,8 +136,6 @@
 Blowfish_initstate(c)
 	blf_ctx *c;
 {
-/* CRYPT DELETE START */
-
 /* P-box and S-box tables initialized with digits of Pi */
 
 	const blf_ctx initstate =
@@ -417,8 +411,6 @@
 	} };
 
 	*c = initstate;
-
-/* CRYPT DELETE END */
 }
 
 uint32_t
@@ -429,7 +421,6 @@
 	uint32_t temp;
 
 	temp = 0x00000000;
-/* CRYPT DELETE START */
 	j = *current;
 
 	for (i = 0; i < 4; i++, j++) {
@@ -439,7 +430,6 @@
 	}
 
 	*current = j;
-/* CRYPT DELETE END */
 	return temp;
 }
 
@@ -446,7 +436,6 @@
 void
 Blowfish_expand0state(blf_ctx *c, const uint8_t *key, uint16_t keybytes)
 {
-/* CRYPT DELETE START */
 	uint16_t i;
 	uint16_t j;
 	uint16_t k;
@@ -479,7 +468,6 @@
 			c->S[i][k + 1] = datar;
 		}
 	}
-/* CRYPT DELETE END */
 }
 
 
@@ -487,7 +475,6 @@
 Blowfish_expandstate(blf_ctx *c, const uint8_t *data, uint16_t databytes,
 		     const uint8_t *key, uint16_t keybytes)
 {
-/* CRYPT DELETE START */
 	uint16_t i;
 	uint16_t j;
 	uint16_t k;
@@ -524,26 +511,21 @@
 			c->S[i][k + 1] = datar;
 		}
 	}
-
-/* CRYPT DELETE END */
 }
 
 void
 blf_key(blf_ctx *c, const uint8_t *k, uint16_t len)
 {
-/* CRYPT DELETE START */
 	/* Initialize S-boxes and subkeys with Pi */
 	Blowfish_initstate(c);
 
 	/* Transform S-boxes and subkeys with key */
 	Blowfish_expand0state(c, k, len);
-/* CRYPT DELETE END */
 }
 
 void
 blf_enc(blf_ctx *c, uint32_t *data, uint16_t blocks)
 {
-/* CRYPT DELETE START */
 	uint32_t *d;
 	uint16_t i;
 
@@ -552,13 +534,11 @@
 		Blowfish_encipher(c, d, d + 1);
 		d += 2;
 	}
-/* CRYPT DELETE END */
 }
 
 void
 blf_dec(blf_ctx *c, uint32_t *data, uint16_t blocks)
 {
-/* CRYPT DELETE START */
 	uint32_t *d;
 	uint16_t i;
 
@@ -567,13 +547,11 @@
 		Blowfish_decipher(c, d, d + 1);
 		d += 2;
 	}
-/* CRYPT DELETE END */
 }
 
 void
 blf_ecb_encrypt(blf_ctx *c, uint8_t *data, uint32_t len)
 {
-/* CRYPT DELETE START */
 	uint32_t l, r;
 	uint32_t i;
 
@@ -591,13 +569,11 @@
 		data[7] = r & 0xff;
 		data += 8;
 	}
-/* CRYPT DELETE END */
 }
 
 void
 blf_ecb_decrypt(blf_ctx *c, uint8_t *data, uint32_t len)
 {
-/* CRYPT DELETE START */
 	uint32_t l, r;
 	uint32_t i;
 
@@ -615,13 +591,11 @@
 		data[7] = r & 0xff;
 		data += 8;
 	}
-/* CRYPT DELETE END */
 }
 
 void
 blf_cbc_encrypt(blf_ctx *c, uint8_t *iv, uint8_t *data, uint32_t len)
 {
-/* CRYPT DELETE START */
 	uint32_t l, r;
 	uint32_t i, j;
 
@@ -642,13 +616,11 @@
 		iv = data;
 		data += 8;
 	}
-/* CRYPT DELETE END */
 }
 
 void
 blf_cbc_decrypt(blf_ctx *c, uint8_t *iva, uint8_t *data, uint32_t len)
 {
-/* CRYPT DELETE START */
 	uint32_t l, r;
 	uint8_t *iv;
 	uint32_t i, j;
@@ -685,10 +657,8 @@
 	data[7] = r & 0xff;
 	for (j = 0; j < 8; j++)
 		data[j] ^= iva[j];
-/* CRYPT DELETE END */
 }
 
-/* CRYPT DELETE START */
 #if 0
 void
 report(uint32_t data[], uint16_t len)
@@ -732,4 +702,3 @@
 	report(data2, 2);
 }
 #endif
-/* CRYPT DELETE END */
--- old/usr/src/lib/gss_mechs/mech_dh/backend/Makefile	Thu Jul 11 01:29:12 2013
+++ new/usr/src/lib/gss_mechs/mech_dh/backend/Makefile	Thu Jul 11 01:29:12 2013
@@ -72,46 +72,6 @@
 # include library targets
 include ../../../Makefile.targ
 
-# EXPORT DELETE START
-# Special target to clean up the source tree for export distribution
-# Warning: This target changes the source tree
-EXPORT_SRC:
-	$(RM) Makefile+ Makefile.com+ mech/crypto.c+ mech/dhmech.c+
-	$(SED) -e "/^# EXPORT DELETE START/,/^# EXPORT DELETE END/d"	\
-			< Makefile > Makefile+
-	$(MV) Makefile+ Makefile
-	$(SED) -e "/^# EXPORT DELETE START/,/^# EXPORT DELETE END/d"	\
-			< Makefile.com > Makefile.com+
-	$(MV) Makefile.com+ Makefile.com
-	$(SED) -e "/EXPORT DELETE START/,/EXPORT DELETE END/d" \
-		< mech/crypto.c > mech/crypto.c+
-	$(MV) mech/crypto.c+ mech/crypto.c
-	$(SED) -e "/EXPORT DELETE START/,/EXPORT DELETE END/d" \
-		< mech/dhmech.c > mech/dhmech.c+
-	$(MV) mech/dhmech.c+ mech/dhmech.c
-	$(CHMOD) 444 Makefile Makefile.com mech/crypto.c mech/dhmech.c
-
-# CRYPT DELETE START
-CRYPT_SRC:
-	$(RM) Makefile+ Makefile.com+ mech/dhmech.c+
-	$(SED) -e "/^# CRYPT DELETE START/,/^# CRYPT DELETE END/d"	\
-			< Makefile				\
-	   | $(SED) -e "/EXPORT DELETE/d"				\
-			> Makefile+
-	$(MV) Makefile+ Makefile
-	$(SED) -e "/^# CRYPT DELETE START/,/^# CRYPT DELETE END/d"	\
-			< Makefile.com				\
-	   | $(SED) -e "/EXPORT DELETE/d"				\
-			> Makefile.com+
-	$(MV) Makefile.com+ Makefile.com
-	$(SED) -e "/CRYPT DELETE START/,/CRYPT DELETE END/d" \
-			< mech/dhmech.c > mech/dhmech.c+
-	$(MV) mech/dhmech.c+ mech/dhmech.c
-	$(CHMOD) 444 Makefile Makefile.com mech/dhmech.c
-
-# CRYPT DELETE END
-# EXPORT DELETE END
-
 _msg: $(MSGDOMAIN) $(POFILE)
 	$(RM) $(MSGDOMAIN)/$(POFILE)
 	$(CP) $(POFILE) $(MSGDOMAIN)
--- old/usr/src/lib/gss_mechs/mech_dh/backend/mech/crypto.c	Thu Jul 11 01:29:12 2013
+++ new/usr/src/lib/gss_mechs/mech_dh/backend/mech/crypto.c	Thu Jul 11 01:29:12 2013
@@ -81,8 +81,6 @@
 }
 
 
-/* EXPORT DELETE START */
-
 /*
  * Des [en/de]crypt buffer, buf of length, len for each key provided using
  * an CBC initialization vector ivec.
@@ -148,9 +146,7 @@
 	return (stat);
 }
 
-/* EXPORT DELETE END */
 
-
 /*
  * DesN crypt packaged for use as a cipher entry
  */
@@ -158,7 +154,6 @@
 __dh_desN_crypt(gss_buffer_t buf, dh_key_set_t keys, cipher_mode_t cipher_mode)
 {
 	int stat = DESERR_BADPARAM;
-/* EXPORT DELETE START */
 	int encrypt_flag = (cipher_mode == ENCIPHER);
 	unsigned mode = (encrypt_flag ? DES_ENCRYPT : DES_DECRYPT) | DES_HW;
 	des_block ivec;
@@ -179,7 +174,6 @@
 	/* Do the encryption/decryption */
 	stat = __desN_crypt(keys->dh_key_set_val, keys->dh_key_set_len,
 			    (char *)buf->value, buf->length, mode, ivec.c);
-/* EXPORT DELETE END */
 
 	if (DES_FAILED(stat))
 		return (DH_CIPHER_FAILURE);
@@ -194,7 +188,6 @@
 __dh_des_crypt(gss_buffer_t buf, dh_key_set_t keys, cipher_mode_t cipher_mode)
 {
 	int stat = DESERR_BADPARAM;
-/* EXPORT DELETE START */
 	int encrypt_flag = (cipher_mode == ENCIPHER);
 	unsigned mode = (encrypt_flag ? DES_ENCRYPT : DES_DECRYPT) | DES_HW;
 	des_block ivec;
@@ -206,7 +199,6 @@
 	memset(&ivec, 0, sizeof (ivec));
 	stat = cbc_crypt(keys->dh_key_set_val[0].c, (char *)buf->value,
 			buf->length, mode, ivec.c);
-/* EXPORT DELETE END */
 
 	if (DES_FAILED(stat))
 		return (DH_CIPHER_FAILURE);
--- old/usr/src/lib/gss_mechs/mech_dh/backend/mech/dhmech.c	Thu Jul 11 01:29:13 2013
+++ new/usr/src/lib/gss_mechs/mech_dh/backend/mech/dhmech.c	Thu Jul 11 01:29:13 2013
@@ -41,9 +41,7 @@
 	__dh_gss_release_cred,
 	__dh_gss_init_sec_context,
 	__dh_gss_accept_sec_context,
-/* EXPORT DELETE START */ /* CRYPT DELETE START */
 	__dh_gss_unseal,
-/* EXPORT DELETE END */ /* CRYPT DELETE END */
 	__dh_gss_process_context_token,
 	__dh_gss_delete_sec_context,
 	__dh_gss_context_time,
@@ -55,9 +53,7 @@
 	__dh_gss_release_name,
 	__dh_gss_inquire_cred,
 	NULL, /* Back ends don't implement this */
-/* EXPORT DELETE START */ /* CRYPT DELETE START */
 	__dh_gss_seal,
-/* EXPORT DELETE END */ /* CRYPT DELETE END */
 	__dh_gss_export_sec_context,
 	__dh_gss_import_sec_context,
 	__dh_gss_inquire_cred_by_mech,
@@ -68,27 +64,6 @@
 	__dh_pname_to_uid,
 	NULL,  /* __gss_userok */
 	__dh_gss_export_name,
-/* EXPORT DELETE START */
-/* CRYPT DELETE START */
-/*
- * This block comment is Sun Proprietary: Need-To-Know.
- * What we are doing is leaving the seal and unseal entry points
- * in an obvious place before sign and unsign for the Domestic customer
- * of the Solaris Source Product. The Domestic customer of the Solaris Source
- * Product will have to deal with the problem of creating exportable libgss
- * binaries.
- * In the binary product that Sun builds, these entry points are elsewhere,
- * and bracketed with special comments so that the CRYPT_SRC and EXPORT_SRC
- * targets delete them.
- */
-#if 0
-/* CRYPT DELETE END */
-	__dh_gss_seal,
-	__dh_gss_unseal,
-/* CRYPT DELETE START */
-#endif /* 0 */
-/* CRYPT DELETE END */
-/* EXPORT DELETE END */
 	__dh_gss_sign,
 	__dh_gss_verify,
 	NULL, /* gss_store_cred() -- DH lacks this for now */
--- old/usr/src/lib/gss_mechs/mech_dummy/Makefile	Thu Jul 11 01:29:13 2013
+++ new/usr/src/lib/gss_mechs/mech_dummy/Makefile	Thu Jul 11 01:29:13 2013
@@ -76,34 +76,3 @@
 	@cd $@; pwd; $(MAKE) $(TARGET)
 
 FRC:
-
-
-# EXPORT DELETE START
-# Special target to clean up the source tree for export distribution
-# Warning: This target changes the source tree
-EXPORT_SRC:
-	$(RM) Makefile+ mech/dmech.c+
-	sed -e "/EXPORT DELETE START/,/EXPORT DELETE END/d" \
-		< mech/dmech.c > mech/dmech.c+ 
-	$(MV) mech/dmech.c+ mech/dmech.c
-	sed -e "/^# EXPORT DELETE START/,/^# EXPORT DELETE END/d" \
-		< Makefile > Makefile+
-	$(MV) Makefile+ Makefile
-	$(CHMOD) 444 Makefile mech/dmech.c
-
-# CRYPT DELETE START
-# Special target to clean up the source tree for export distribution
-# Warning: This target changes the source tree
-CRYPT_SRC:
-	$(RM) Makefile+ mech/dmech.c+
-	sed -e "/CRYPT DELETE START/,/CRYPT DELETE END/d" \
-		< mech/dmech.c > mech/dmech.c+ 
-	$(MV) mech/dmech.c+ mech/dmech.c
-	sed -e "/^# CRYPT DELETE START/,/^# CRYPT DELETE END/d" \
-		< Makefile > Makefile+
-	$(MV) Makefile+ Makefile
-	$(CHMOD) 444 Makefile mech/dmech.c
-
-# CRYPT DELETE END
-# EXPORT DELETE END
-
--- old/usr/src/lib/gss_mechs/mech_dummy/mech/dmech.c	Thu Jul 11 01:29:14 2013
+++ new/usr/src/lib/gss_mechs/mech_dummy/mech/dmech.c	Thu Jul 11 01:29:14 2013
@@ -30,7 +30,6 @@
  * specified through dummy_mech.conf located in /etc.
  *
  */
-/* EXPORT DELETE START */ /* CRYPT DELETE START */
 #ifndef	lint
 #define	dummy_gss_accept_sec_context \
 		dummy_867227349
@@ -87,7 +86,6 @@
 #define	dummy_pname_to_uid \
 		dummy_345475423
 #endif
-/* EXPORT DELETE END */ /* CRYPT DELETE END */
 
 #include <stdio.h>
 #include <stdlib.h>
@@ -129,9 +127,7 @@
 	dummy_gss_release_cred,
 	dummy_gss_init_sec_context,
 	dummy_gss_accept_sec_context,
-/* EXPORT DELETE START */ /* CRYPT DELETE START */
 	dummy_gss_unseal,
-/* EXPORT DELETE END */ /* CRYPT DELETE END */
 	dummy_gss_process_context_token,
 	dummy_gss_delete_sec_context,
 	dummy_gss_context_time,
@@ -143,9 +139,7 @@
 	dummy_gss_release_name,
 	dummy_gss_inquire_cred,
 	dummy_gss_add_cred,
-/* EXPORT DELETE START */ /* CRYPT DELETE START */
 	dummy_gss_seal,
-/* EXPORT DELETE END */ /* CRYPT DELETE END */
 	dummy_gss_export_sec_context,
 	dummy_gss_import_sec_context,
 	dummy_gss_inquire_cred_by_mech,
@@ -156,16 +150,6 @@
 	dummy_pname_to_uid,
 	NULL,	/* __gss_userok */
 	NULL,	/* _export name */
-/* EXPORT DELETE START */
-/* CRYPT DELETE START */
-#if 0
-/* CRYPT DELETE END */
-	dummy_gss_seal,
-	dummy_gss_unseal,
-/* CRYPT DELETE START */
-#endif
-/* CRYPT DELETE END */
-/* EXPORT DELETE END */
 	dummy_gss_sign,
 	dummy_gss_verify,
 	NULL,	/* _store_cred */
--- old/usr/src/lib/gss_mechs/mech_krb5/Makefile	Thu Jul 11 01:29:15 2013
+++ new/usr/src/lib/gss_mechs/mech_krb5/Makefile	Thu Jul 11 01:29:15 2013
@@ -92,66 +92,6 @@
 
 FRC:
 
-# EXPORT DELETE START
-# Special target to clean up the source tree for export distribution
-# Warning: This target changes the source tree
-EXPORT_SRC:
-	$(RM) Makefile+ Makefile.mech_krb5+\
-		crypto/des/afsstring2key.c+ \
-		crypto/des/string2key.c+ \
-		mech/krb5_gss_glue.c+
-
-	$(SED) -e "/EXPORT DELETE START/,/EXPORT DELETE END/d" \
-		< crypto/des/afsstring2key.c > crypto/des/afsstring2key.c+
-	$(MV) crypto/des/afsstring2key.c+ crypto/des/afsstring2key.c
-
-	$(SED) -e "/EXPORT DELETE START/,/EXPORT DELETE END/d" \
-		< crypto/des/string2key.c > crypto/des/string2key.c+
-	$(MV) crypto/des/string2key.c+ crypto/des/string2key.c
-
-	$(SED) -e "/EXPORT DELETE START/,/EXPORT DELETE END/d" \
-		< mech/krb5_gss_glue.c > mech/krb5_gss_glue.c+
-	$(MV) mech/krb5_gss_glue.c+ mech/krb5_gss_glue.c
-
-	$(SED) -e "/^# EXPORT DELETE START/,/^# EXPORT DELETE END/d" \
-		< Makefile.mech_krb5 > Makefile.mech_krb5+
-	$(MV) Makefile.mech_krb5+ Makefile.mech_krb5
-
-	$(SED) -e "/^# EXPORT DELETE START/,/^# EXPORT DELETE END/d" \
-		< Makefile > Makefile+
-	$(MV) Makefile+ Makefile
-
-	$(CHMOD) 444 Makefile Makefile.mech_krb5 \
-		crypto/des/afsstring2key.c \
-		crypto/des/string2key.c \
-		mech/krb5_gss_glue.c
-
-
-# CRYPT DELETE START
-# Special target to clean up the source tree for domestic distribution
-# Warning: This target changes the source tree
-CRYPT_SRC:
-	$(RM) Makefile+ mech/krb5_gss_glue.c+
-
-	$(SED) -e "/CRYPT DELETE START/,/CRYPT DELETE END/d" \
-		> mech/krb5_gss_glue.c+ < mech/krb5_gss_glue.c
-	$(MV) mech/krb5_gss_glue.c+ mech/krb5_gss_glue.c
-
-	$(SED) -e "/^# CRYPT DELETE START/,/^# CRYPT DELETE END/d"	\
-			< Makefile 				\
-	   | $(SED) -e "/EXPORT DELETE/d"				\
-			> Makefile+
-	$(MV) Makefile+ Makefile
-
-	$(CHMOD) 444 mech/krb5_gss_glue.c Makefile
-
-# CRYPT DELETE END
-# EXPORT DELETE END
-
-
-
-FRC:
-
 _msg: $(MSGDOMAIN) .WAIT $(POFILE)
 	$(RM) $(MSGDOMAIN)/$(POFILE)
 	$(CP) $(POFILE) $(MSGDOMAIN)
--- old/usr/src/lib/gss_mechs/mech_krb5/crypto/des/afsstring2key.c	Thu Jul 11 01:29:15 2013
+++ new/usr/src/lib/gss_mechs/mech_krb5/crypto/des/afsstring2key.c	Thu Jul 11 01:29:15 2013
@@ -81,7 +81,6 @@
 {
     /* Solaris Kerberos */
     krb5_error_code retval = KRB5_PROG_ETYPE_NOSUPP;
-/* EXPORT DELETE START */
   /* totally different approach from MIT string2key. */
   /* much of the work has already been done by the only caller 
      which is mit_des_string_to_key; in particular, *keyblock is already 
@@ -185,7 +184,6 @@
     krb5_xfree(salt->data);
 #endif
 
-/* EXPORT DELETE END */
     return retval;
 }
 
@@ -216,8 +214,6 @@
  *	netatalk@terminator.cc.umich.edu
  */
 
-/* EXPORT DELETE START */
-
 static void krb5_afs_crypt_setkey (char*, char*, char(*)[48]);
 static void krb5_afs_encrypt (char*,char*,char (*)[48]);
 
@@ -602,4 +598,3 @@
 	for (j=0; j<64; j++)
 		block[j] = L[FP[j]-1];
 }
-/* EXPORT DELETE END */
--- old/usr/src/lib/gss_mechs/mech_krb5/crypto/des/string2key.c	Thu Jul 11 01:29:16 2013
+++ new/usr/src/lib/gss_mechs/mech_krb5/crypto/des/string2key.c	Thu Jul 11 01:29:16 2013
@@ -54,7 +54,6 @@
 	const krb5_data *salt)
 {
     krb5_error_code retval = KRB5_PROG_ETYPE_NOSUPP;
-/* EXPORT DELETE START */
     register char *str, *copystr;
     register krb5_octet *key;
     register unsigned temp;
@@ -180,6 +179,5 @@
 	keyblock->hKey = CK_INVALID_HANDLE;
      }
 
-/* EXPORT DELETE END */
     return retval;
 }
